<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-12">
              <h4 class="page-title">Cancelled Orders</h4>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">

                  <div class="row">
                      <div class="col-md-12">
                          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                              <div class="panel panel-default">
                                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                      <h4 class="panel-title">
                                          <a>
                                              <i class="more-less fa fa-plus"></i>
                                              <span class="searchbar_text_padding_left"> Search 
                                              </span>
                                          </a>
                                      </h4>
                                  </div>
                                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                                      <div class="panel-body">
                                          <div class="row">
                                              <!-- <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Parent Category</label>
                                                      <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>a</option>
                                                          <option>b</option>
                                                          <option>c</option>
                                                          <option>d</option>
                                                          <option>e</option>
                                                      </select>
                                                  </div>
                                              </div> -->
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Order Date </label>
                                                      <!-- <input type="text" class="form-control" placeholder="Select Date" [(ngModel)]="searchOrderdate"> -->
                                                      <kendo-datepicker id="year_order" 
                                                      style="width: 100%;" [format]="'dd MMM yyyy'"
                                                      [(ngModel)]="searchOrderdate"
                                                      name="ordr_date"
                                                      [placeholder]="'Select Date'">
                                                  </kendo-datepicker>
                                                    </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Seller </label>
                                                      <input type="text" class="form-control" placeholder="Enter Seller Name" [(ngModel)]="searchSeller">
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Buyer </label>
                                                      <input type="text" class="form-control" placeholder="Enter Buyer Name" [(ngModel)]="searchBuyer">
                                                  </div>
                                              </div>
                                              <!-- <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Status</label>
                                                      <select class="form-control" [(ngModel)]="getStatus.id">
                                                          <option value="0">Select Status</option>
                                                          <option *ngFor="let option of orderStatusList" value={{option.id}}>
                                                         {{option.order_status_name}}
                                                        </option>
                                                      </select>
                                                  </div>
                                              </div> -->
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="">
                                                      <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                      <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i class="fa fa-search"></i> Search</button>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                                  <i class="glyphicon glyphicon-search"></i>
                                  <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                              </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->
                  <div class="row">
                      <div class="col-md-12">
                          <div class="table-responsive">
                              <!--KENDO GRID START-->

                <kendo-grid [data]="cancelledOrders_gridData" height="auto" [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                (sortChange)="sortCancelled_orderChange($event)" [filter]="state.filter" [pageable]="true" scrollable="true"
                [resizable]="true" [reorderable]="true" (dataStateChange)="cancelled_OrderDataStateChange($event)"
                (pageChange)="pageChange($event)">


                <kendo-grid-column field="orderDate" title="ORDER DATE"
                  [headerStyle]="{'height':'40px','text-align':'left','width':'120px'}" [style]="{'width':'120px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-left noPadding_xs">
                        <div>
                          {{index.created_date|date:'dd MMM yyyy'}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <!-- <kendo-grid-column field="orderId" title="Order Id"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}" [style]="{'width':'100px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div>
                          {{index.id}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column> -->

                <kendo-grid-column field="orderNo" title="ORDER NO"
                [headerStyle]="{'height':'40px','text-align':'left','width':'130px'}" [style]="{'width':'130px'}">
                <ng-template kendoGridCellTemplate let-index="dataItem">
                  <div class="row">
                    <div class="col-md-12 row_padding text-left noPadding_xs">
                      <div>
                        {{index.order_no}}
                      </div>
                    </div>
                  </div>
                </ng-template>
              </kendo-grid-column>

                <kendo-grid-column field="seller" title="SELLER"
                  [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}" [style]="{'width':'140px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-left noPadding_xs">
                        <div>
                          <!-- {{index.seller.user_name}} -->
                          <a  href="javascript:void(0)"  (click)="OnSellernameClick(index.seller.id)">
                            <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                              <!-- {{index.seller.user_info.first_name}} {{index.seller.user_info.last_name}} -->
                              {{index.seller.user_name}}
                            </h6>
                          </a>
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="buyer" title="BUYER"
                  [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}" [style]="{'width':'140px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-left noPadding_xs">
                        <div>
                          <!-- {{index.buyer.user_name}} -->
                          <a  href="javascript:void(0)" (click)="OnbuyernameClick(index.buyer.id)">
                            <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                              <!-- {{index.buyer.user_info.first_name}} {{index.buyer.user_info.last_name}} -->
                              {{index.buyer.user_name}}
                            </h6>
                          </a>
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="amount" title="AMOUNT"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'140px'}" [style]="{'width':'140px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div>
                           {{index.amount | currency: 'INR':'symbol':'1.0-0'}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <!-- <kendo-grid-column field="orderStatus" title="Order Status"
                  [headerStyle]="{'height':'40px','text-align':'right','width':'140px'}" [style]="{'width':'140px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-right noPadding_xs">
                        <div class="badge badge-danger custom_badge_css">
                          {{index.order_status.order_status_name}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column> -->
              </kendo-grid>
              <!--KENDO GRID-->
                          </div>
                      </div>
                  </div>
                  <!-- <div class="row">
                      <div class="col-md-6">
                          <h4 class="showing_entries_class">Showing 1 to 8 of 8 entries</h4>
                      </div>
                      <div class="col-md-6 text-right">
                          <nav aria-label="Page navigation example">
                            <ul class="pagination">
                              <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                              <li class="page-item"><a class="page-link" href="#">1</a></li>
                              <li class="page-item"><a class="page-link" href="#">Next</a></li>
                            </ul>
                          </nav>
                      </div>
                  </div> -->
              </div>
          </div>
      </div>
  </div>
</div>